Skip to main content
GET
/
api
/
v3
/
defaults
/
collections
Get Default Collections
curl --request GET \
  --url https://api-staging.unbridaled.ai/api/v3/defaults/collections \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "bespoke_single",
    "title": "Bespoke Single",
    "product_settings": [
      {
        "collection_id": "bespoke_single",
        "mode": "SINGLE",
        "ratio_enabled": true,
        "ratio_max": null,
        "ratio_min": null,
        "shape": "round",
        "title": "Round Diamond",
        "types": [
          "mined",
          "lab grown"
        ],
        "weight_max": 10,
        "weight_min": 0
      }
    ]
  },
  {
    "id": "bespoke_pair",
    "title": "Bespoke Pair",
    "product_settings": [
      {
        "collection_id": "bespoke_pair",
        "mode": "PAIR",
        "ratio_enabled": true,
        "ratio_max": null,
        "ratio_min": null,
        "shape": "round",
        "title": "Round Diamond",
        "types": [
          "mined",
          "lab grown"
        ],
        "weight_max": 10,
        "weight_min": 0
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

OK

The response is of type object.